net.i2p.util

## Class HexDump

- java.lang.Object
- - net.i2p.util.HexDump

    public class HexDump
    extends Object

Hexdump class (well, it's actually a namespace with some functions, but let's stick with java terminology :-). These methods generate an output that resembles `hexdump -C` (Windows users: do you remember `debug` in the DOS age?).

Author:
  human

### Constructor Summary

Constructors
Constructor and Description
`HexDump()`

### Method Summary

Methods
`static String` `dump(byte[] data)` Dump a byte array in a String.
`static String` `dump(byte[] data, int off, int len)` Dump a byte array in a String.
`static void` `dump(byte[] data, int off, int len, OutputStream out)` Dump a byte array through a stream.
`static void` `dump(byte[] data, OutputStream out)` Dump a byte array through a stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HexDump

    public HexDump()

### Method Detail

#### dump

    public static String dump(byte[] data)

Dump a byte array in a String.

Parameters:
  `data` - Data to be dumped

#### dump

    public static String dump(byte[] data,
              int off,
              int len)

Dump a byte array in a String.

Parameters:
  `data` - Data to be dumped
  `off` - Offset from the beginning of `data`
  `len` - Number of bytes of `data` to be dumped

#### dump

    public static void dump(byte[] data,
            OutputStream out)
                     throws IOException

Dump a byte array through a stream.

Parameters:
  `data` - Data to be dumped
  `out` - Output stream
Throws:
  `IOException`

#### dump

    public static void dump(byte[] data,
            int off,
            int len,
            OutputStream out)
                     throws IOException

Dump a byte array through a stream.

Parameters:
  `data` - Data to be dumped
  `off` - Offset from the beginning of `data`
  `len` - Number of bytes of `data` to be dumped
  `out` - Output stream
Throws:
  `IOException`